HttpInflateStream::factory
HttpInflateStream::flush
The HttpInflateStream class
PHP Manual

# HttpInflateStream::finish

(PECL pecl_http:0.21.0-1.5.5)

HttpInflateStream::finish — Finalize inflate stream

### Description

public string HttpInflateStream::finish ([ string `$data` ] )

Finalizes the inflate stream. The inflate stream can be reused after finalizing.

### Parameters

`data`

  data to inflate

### Return Values

Returns the final part of inflated data.

HttpInflateStream::factory
HttpInflateStream::flush
The HttpInflateStream class
PHP Manual